package com.aiup.service.entity;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * (Order)实体类
 *
 * @author makejava
 * @since 2023-08-22 12:54:37
 */

@ApiModel("")
public class Order implements Serializable {
    private static final long serialVersionUID = 291508538004075354L;
    /**
     * 订单ID
     */    
    @ApiModelProperty(value = "订单ID")
    private Integer id;
    /**
     * 支付单ID
     */    
    @ApiModelProperty(value = "支付单ID")
    private Integer prepayOrderId;
    /**
     * 商品ID
     */    
    @ApiModelProperty(value = "商品ID")
    private Integer productId;
    /**
     * 用户ID
     */    
    @ApiModelProperty(value = "用户ID")
    private Integer userId;
    /**
     * 是否有效：1-有效；0-无效
     */    
    @ApiModelProperty(value = "是否有效：1-有效；0-无效")
    private Integer status;
    /**
     * 创建时间
     */    
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 是否删除
     */    
    @ApiModelProperty(value = "是否删除")
    private Integer isDeleted;
    /**
     * 修改时间
     */    
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPrepayOrderId() {
        return prepayOrderId;
    }

    public void setPrepayOrderId(Integer prepayOrderId) {
        this.prepayOrderId = prepayOrderId;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

